GNU MAC Changer is a utility for viewing and manipulating 
the MAC address of network interfaces

Features:
-Set specific MAC address of a network interface
-Set the MAC randomly
-Set a MAC of another vendor
-Set another MAC of the same vendor
-Set a MAC of the same kind (eg: wireless card)
-Display a vendor MAC list (today, 6800 items) to choose from
